<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb"
        crossorigin="anonymous">
</head>

<body>
    <div class="container" id="novel">
            <h4 id="novelName"></h4>
            <img id="novelImageName"  class="img-thumbnail">
    </div>
    
    <div class="container">
        <a id="novelOriginalUrl" href="#">阅读原文</a>
    </div>

    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>

    <script>    
        var url_string = window.location.href
        var url = new URL(url_string);
        var c = url.searchParams.get("id");
        console.log(c);
        viewNovel(c);

        function viewNovel(id) {

            console.log('view novel', id);

            $.get("/api/novel/" + id, function (data, status) {
                console.log(data);
                let name = data.name;
                let imageName = data.imageName;
                let filesName = data.filesName;
                let content = data.content;
                let originalUrl = data.originalUrl;
                $('#novelName').html(name);
                $('#novelImageName').attr('src', '/images/'+imageName);
                $('#novelOriginalUrl').attr('href', '/api/novel/fwd/'+id);

                let arr = filesName.substring(1, filesName.length - 1).split(",");
                var html = '';
                for(var i = 0 ; i< arr.length; i++){
                    html += '<img id="novelImageName" src="/images/'+ arr[i] +'" class="img-thumbnail">';
                }
                console.log(html);
                $('#novelImageName').after(html);
            });
        }
        
        
           
        
        
    </script>


</body>

</html>